Bug 864397 (CVE-2012-4543) - CVE-2012-4543 Certificate System: Multiple cross-site scripting flaws by displaying CRL or processing profile
Summary: CVE-2012-4543 Certificate System: Multiple cross-site scripting flaws by disp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-4543
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 869599 884828 884829 885790
Blocks: 855229 864425
TreeView+ depends on / blocked
 
Reported: 2012-10-09 10:45 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:56 UTC (History)
10 users (show)

Fixed In Version: pki-common-8.1.3-2.el5pki
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 19:25:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1550 normal SHIPPED_LIVE Moderate: pki security update 2012-12-07 01:31:21 UTC
Red Hat Product Errata RHSA-2013:0511 normal SHIPPED_LIVE Moderate: pki-core security, bug fix and enhancement update 2013-02-20 21:29:34 UTC

Description Jan Lieskovsky 2012-10-09 10:45:06 UTC
Multiple cross-site scripting (XSS) flaws were found in the way:

1) 'displayCRL' script of Certificate System sanitized content of 'pageStart' and 'pageSize' variables provided in the query string,

2) 'profileProcess' script of Certificate System sanitized content of 'nonce' variable provided in the query string.

A remote attacker could provide a specially-crafted web page that, when visited by an unsuspecting Certificate System user would lead to arbitrary HTML or web script execution in the context of Certificate System user session.

Comment 2 Jan Lieskovsky 2012-10-23 17:24:00 UTC
This issue affects the version of the pki-common package, as shipped with Red Hat Certificate System 8.1.

--

This issue affects the version of the pki-common package, as shipped with Fedora EPEL 5.

Comment 3 Jan Lieskovsky 2012-10-24 09:13:57 UTC
This issue affects the version of the pki-core package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the pki-core package, as shipped with Fedora release of 16 and 17.

Comment 5 Jan Lieskovsky 2012-10-24 11:43:05 UTC
The CVE identifier of CVE-2012-4543 has been assigned to this issue.

Comment 8 Vincent Danen 2012-12-06 19:49:24 UTC
Created pki-common tracking bugs for this issue

Affects: epel-5 [bug 884828]

Comment 9 Vincent Danen 2012-12-06 19:49:28 UTC
Created pki-core tracking bugs for this issue

Affects: fedora-all [bug 884829]

Comment 10 errata-xmlrpc 2012-12-06 20:34:19 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 8

Via RHSA-2012:1550 https://rhn.redhat.com/errata/RHSA-2012-1550.html

Comment 12 Fedora Update System 2012-12-11 06:02:12 UTC
pki-core-10.0.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2013-02-21 10:06:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0511 https://rhn.redhat.com/errata/RHSA-2013-0511.html


Note You need to log in before you can comment on or make changes to this bug.